summaryrefslogtreecommitdiffstats
path: root/deps/wayland/wayland.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-26 21:57:57 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-26 21:57:57 +0100
commitf4f83660bd73e9c9ccf87c0eed420d855ef537c9 (patch)
treec2ab7070826aa55b9c8321637737c8d004e32240 /deps/wayland/wayland.SlackBuild
parent09fd6d0ae700261597fbe7b351d664f42cb76a5f (diff)
downloadktown-f4f83660bd73e9c9ccf87c0eed420d855ef537c9.tar.gz
ktown-f4f83660bd73e9c9ccf87c0eed420d855ef537c9.tar.xz
Final KDE.SlackBuild harness, ready for the upcoming release of Plasma 5.2.0.
All bugs have bee ironed out I hope... Final changes: eigen2: updated to latest version so 'step' can compile. kde-workspace: required to build this, or else kdeartwork won't compile. Frameworks as well as Plasma use /usr/lib{,64} as the libexec directory (not sure if this is the best solution but it solves a lot of path issues). Applications: modified the build order so that KF5 applications are built first (before kde-workspace overwrites part of plasma-workspace). My final package set will not have kde-workspace but if you compile this yourself, your last step needs to be: # removepkg kde-workspace # upgradepkg --reinstall /path/to/plasma-workspace
Diffstat (limited to '')
-rwxr-xr-xdeps/wayland/wayland.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/deps/wayland/wayland.SlackBuild b/deps/wayland/wayland.SlackBuild
index 5e4361b..cf3d95f 100755
--- a/deps/wayland/wayland.SlackBuild
+++ b/deps/wayland/wayland.SlackBuild
@@ -23,7 +23,7 @@
# -----------------------------------------------------------------------------
-PRGNAM=wayland
+PKGNAM=wayland
VERSION=${VERSION:-1.6.0}
BUILD=${BUILD:-1}
@@ -31,7 +31,7 @@ NUMJOBS=${NUMJOBS:" -j4 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
if [ -e $CWD/machine.conf ]; then
. $CWD/machine.conf ]
@@ -75,9 +75,9 @@ esac
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.xz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -96,7 +96,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--enable-static=no \
--build=$TARGET
@@ -135,5 +135,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Create the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz